// naumann@stce.rwth-aachen.de

#include "newton.hpp"

#include<iostream>
#include<cassert>

int main(int argc, char *argv[]) {
  assert(argc==5); using T=double; using namespace std;
  T x=stof(argv[1]), p=stof(argv[2]), eps=stof(argv[3]); 
  assert(p>0); assert(eps>0); 
  unsigned int maxit=stoi(argv[4]); 
  assert(maxit>0);
  f(x,p,eps,maxit);
  cout << "x=" << x << endl;
  cout << "g(" << x << "," << p << ")=" << g(x,p) << endl;
  return 0;
}
